<div>
    <div class="wrapper">
        <div class="overlay" *ngIf="visible">
            <div class="d-flex justify-content-center">
                <div class="spinner-border" role="status">
                    <span class="sr-only" id="loading"></span>
                </div>
            </div>
        </div>
    </div>    
    <app-user-info [user]="user" [class.blurred]="visible"> </app-user-info>
    <hr>
    <p *ngIf="inProgress" style="color: red; text-align: center;">Downloading data for this user is in progress! Page will refresh periodically.</p>
    <hr>
    <app-statistics [statistics]="statistics" [class.blurred]="visible"> </app-statistics>
    <app-languages [languages]="languages" [class.blurred]="visible"></app-languages>
    <br>
    <br>
    <br>
    <app-projects [projects]="projects" [class.blurred]="visible"></app-projects>
    <br>
    <br>
    <app-about [funFacts]="funFacts" [class.blurred]="visible"></app-about>
</div>